当页导航

WAS8.5如何安装JDK1.7

用Installaion Manager工具安装jdk时必须要respository.config文件,但是在官网上只有.bin的文件,找了很久也没有找到,求大神指点显示全部

用Installaion Manager工具安装jdk时必须要respository.config文件,但是在官网上只有.bin的文件,找了很久也没有找到,求大神指点

收起
希望获得:具体解决, 实例参考

8回答

xidianfengxidianfeng项目经理 , 华为
harmanhzbo99lambolee等赞同了此回答 
启动 IBM installation manager ,点击添加存储库,浏览,选中WAS8.5XXX_SDK目录下的repository.config,点击确定;点击测试链接,保证测试成功。点安装,选择安装包,点下一步,选使用现有软件包组,下一步,选择安装包,下一步,单击安装。完成...显示全部

启动 IBM installation manager ,点击添加存储库,浏览,选中WAS8.5XXX_SDK目录下的repository.config,点击确定;点击测试链接,保证测试成功。点安装,选择安装包,点下一步,选使用现有软件包组,下一步,选择安装包,下一步,单击安装。完成

收起
 2016-04-21
  • zpzp(提问者)
    请问在哪里可以下载到带有respository.config文件的安装包,我操作的步骤都清楚,就是下载不到安装包
    2016-04-21
  • xidianfengxidianfeng(答主)
    http://www.ibm.com/developerworks/downloads/ws/was/你在IBM官网上找找
    2016-04-21
  • xidianfengxidianfeng(答主)
    你可以看看这个http://wenku.baidu.com/link?url=QtPojz6nUuqod1D48ijrq24mCRo5RndfV1XUVc8ninh7iwJ0fyLLIRUmAp4JmXwrr7FHoAL76gfjOLkKkTywzcpfTOlcFErxMHVCs9reQ_y
    2016-04-21
  • zpzp(提问者) 回复 xidianfeng(答主)
    我在网上找了三天了,就只找到了带有.bin文件的安装包,和一些补丁包,根本就没办法用在was里面,用IM装不了
    2016-04-22
王超王超售后技术支持 , 北京东方宏达信息技术有限公司
lamboleelightwingsxiaolingtong赞同了此回答
打补丁的方式安装JDK 1.7可以绕过正规渠道购买原始介质这个壁垒。安装WAS 8.5之后打补丁,补丁包含JDK 1.7用于IM的介质包。不限版本WAS补丁下载地址如下:http://www-01.ibm.com/support/docview.wss?uid=swg27004980以最新的WAS 8.5.5.9为例,8.5.5.9已经支持JDK 8,下载补丁地...显示全部

打补丁的方式安装JDK 1.7可以绕过正规渠道购买原始介质这个壁垒。

安装WAS 8.5之后打补丁,补丁包含JDK 1.7用于IM的介质包。不限版本WAS补丁下载地址如下:

http://www-01.ibm.com/support/docview.wss?uid=swg27004980

以最新的WAS 8.5.5.9为例,8.5.5.9已经支持JDK 8,下载补丁地址如下:

http://www-01.ibm.com/support/docview.wss?uid=swg24041819

收起
答案包含:通用方法 2016-04-26
风宇风宇系统运维工程师 , 重庆斯欧
依然wanan赞同了此回答
就这三个包,解压后都在里面。显示全部

就这三个包,解压后都在里面。

RB(8ND8ZJSN]ICPC3F]AQI2.png


收起
 2016-05-05
ttwhklttwhkl系统工程师 , ibm
hzbo99赞同了此回答
用IM安装,安装方法和安装FP一样。1 解压JDK7文件:/home/data/jdk7>unzip 7.1.3.30-WS-IBMWASJAVA-part1.zip 1>/dev/null:/home/data/jdk7> unzip 7.1.3.30-WS-IBMWASJAVA-part2.zip 1>/dev/null2 列出你要安装的JDK包名 :/home/data/jdk7>sudo /opt/IBM/I...显示全部

用IM安装,安装方法和安装FP一样。

1 解压JDK7文件

:/home/data/jdk7>unzip 7.1.3.30-WS-IBMWASJAVA-part1.zip 1>/dev/null

:/home/data/jdk7> unzip 7.1.3.30-WS-IBMWASJAVA-part2.zip 1>/dev/null

2 列出你要安装的JDK包名

:/home/data/jdk7>sudo /opt/IBM/InstallationManager/eclipse/tools/imcl listAvailablePackages -repositories .

com.ibm.websphere.IBMJAVA.v71_7.1.3030.20160224_1952

com.ibm.websphere.liberty.IBMJAVA.v71_7.1.3030.20160224_1952

3 安装,写上包名和路径

sudo /opt/IBM/InstallationManager/eclipse/tools/imcl install com.ibm.websphere.IBMJAVA.v71_7.1.3030.20160224_1952 -repositories .  -installationDirectory /opt/IBM/WebSphere/AppServer85/  -acceptLicense

收起
答案包含:具体解决, 实例参考 2016-06-25
xiaolingtongxiaolingtong系统工程师 , tcl
楼上的方法可以试一试啊显示全部

楼上的方法可以试一试啊

收起
 2016-05-04
zhwshzhwsh其它 , SK
这个回答超赞。显示全部

这个回答超赞。

收起
答案包含:通用方法 2016-05-06
riridulumriridulum系统工程师 , 神州数码
安装规程中安装位置很重要,一定要选择安装在APPSserver下面,  之后managersdk 脚本才能发现新的JDK 显示全部

安装规程中安装位置很重要,一定要选择安装在APPSserver下面,  之后managersdk 脚本才能发现新的JDK

收起
 2016-05-10
was_hhqwas_hhq网站前端工程师 , sie
错误:安装软件包“IBM WebSphere SDK Java Technology Edition (可选)”需要其他软件包提供的组件。所需的组件可能由以下安装软件包提供:软件包:WebSphere Application Server V8.5 软件包:Application Client for IBM WebSphere Application Server V8.5 软件包:DMZ Secure ...显示全部

错误:安装软件包“IBM WebSphere SDK Java Technology Edition (可选)”需要其他软件包提供的组件。

所需的组件可能由以下安装软件包提供:

软件包:WebSphere Application Server V8.5

软件包:Application Client for IBM WebSphere Application Server V8.5

软件包:DMZ Secure Proxy Server for IBM WebSphere Application Server V8.5


请问一下这是什么问题?

收起
 6天前

撰写回答

提问者

zp软件开发工程师, it
发布9
回答4

请稍候...